import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "activity-";

export default {
    path: "/activity",
    name: "activity",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            path: `list`,
            component: () => import("@/pages/activity/list"),
        },
        {
            path: `details`,
            component: () => import("@/pages/activity/details"),
        },
        {
            path: `noticeDetail`,
            component: () => import("@/pages/activity/manage/manage/noticeDetail"),
        },
        {
            path: `manage`,
            component: () => import("@/pages/activity/manage/list"),
        },
        {
            path: `add`,
            component: () => import("@/pages/activity/manage/add"),
        },
        {
            path: `manageDetail`,
            component: () => import("@/pages/activity/manage/manage"),
        },
        {
            path: `preview`,
            component: () => import("@/pages/activity/manage/preview"),
        },
        {
            path: `notice`,
            component: () => import("@/pages/activity/noticeDetail"),
        }
    ]
};