import BasicLayout from "@/layouts/home";

const meta = {};

const pre = "expSystem-";

export default {
    path: "/expSystem",
    name: "expSystem",
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import("@/pages/expSystem/list"),
            meta: { title: "实验系统管理" }
        },
        {
            name: `${pre}backstage`,
            path: `backstage`,
            component: () => import("@/pages/expSystem/backstage"),
            meta: { title: "系统后台" }
        },
        {
            name: `${pre}addModel`,
            path: `addModel`,
            component: () => import("@/pages/expSystem/backstage/addModel"),
            meta: { title: "新增源模型" }
        }
    ]
};
